Subject: Re: uam: uam not found

From: "Rolf Schoepfer" <[email-masked]>
Date: Mon, 4 Feb 2002 16:37:06 +0100

---------- Original Message ----------------------------------
From: Thomas Kaiser <[email-masked]>
Date:  Mon, 04 Feb 2002 12:59:51 +0100

>am 04.02.2002 12:10 Uhr schrieb Rolf Schoepfer:
>
>> ------------------ start /usr/sbin/afpd ---------------------
>> Feb  4 10:08:34 www afpd[120]: sample:AFPServer@* started on 65280.168:128
>> (1.5.1.1)
>> Feb  4 10:08:34 www afpd[120]: ASIP started on 10.10.10.197:548(1) (1.5.1.1)
>> Feb  4 10:08:34 www afpd[120]: uam: loading (/usr/lib/netatalk/uams_clrtxt.so)
>> Feb  4 10:08:34 www afpd[120]: uam: uams_clrtxt.so loaded
>> Feb  4 10:08:34 www afpd[120]: uam: loading (/usr/lib/netatalk/uams_dhx.so)
>> Feb  4 10:08:34 www afpd[120]: uam: uam not found (status=-1)
>
>Okay. That means, either in your netatalk.conf or directly in afpd.conf you
>want both UAMs to be loaded by specifying them with -U... ?
>

Right, this is the default setting in afpd.conf specified by uamlist.

>> Feb  4 10:08:34 www afpd[120]: uam: "Cleartxt Passwrd" available
>
>If you run configure, do you get those lines:
>
>    checking for SSL... /usr (enabling RANDNUM and DHX support)
YES

>    checking for main in -lcrypto... yes
YES

>    checking for main in -ldes... yes
NO ( is this the problem? )

>(you need OpenSSL to get the better authentication schemes DHX and (2 Way)
>RandNum working)
>
>Leland provided us with an overview about the many authentication schemes:
><ftp://terminator.rsug.itd.umich.edu/unix/netatalk/archive/netatalk-admins-m
>ail/0647.html>
>
>> ------------------ choose linuxbox ---------------------
>> Feb  4 10:08:38 www afpd[121]: ASIP session:548(1) from 10.10.10.202:49152(2)
>> Feb  4 10:08:38 www afpd[120]: server_child[1] 121 done
>> ------------------ user /pwd -> fails ---------------------
>> Feb  4 10:09:16 www afpd[122]: ASIP session:548(1) from 10.10.10.202:49153(2)
>> Feb  4 10:09:16 www afpd[122]: cleartext login: szrolf
>> Feb  4 10:09:16 www afpd[122]: 0.08KB read, 0.07KB written
>> Feb  4 10:09:16 www afpd[120]: server_child[1] 122 done
>
>And your shadow passwords working correctly?

Under Linux, login works fine and it uses /etc/shadow ( I'm not sure if this is enough to tell it works correctly ).
OK, I tried a few things:

- Guest login: yeah it works
- use only uams_clrtxt: login fails
- use only uams_dhx: login fails

- after that I compiled without shadow
   - pwunconv ( shadow -> passwd )
   - vi /etc/passwd and removed password from User
   - checked Linux login: ok
   - use only uams_clrtxt: login fails
   - use only uams_dhx: login fails

Is there any Debug Flag to get more detailed information what's wrong?

>
>>> BTW: If you are trying this as root, it will always fail.
>> 
>> We logon with another user.
>
>Strange. I would try to avoid using cleartext passwords. MacOS X 10.0.x had
>problems with it. Maybe older MacOS versions also?
>
>Regards,
>
>Thomas
>
>